[arch-commits] Commit in cinepaint/trunk (PKGBUILD cinepaint-0.22-gcc44.patch)

Eric Bélanger eric at archlinux.org
Wed Jul 8 01:28:16 UTC 2009


    Date: Tuesday, July 7, 2009 @ 21:28:16
  Author: eric
Revision: 45152

upgpkg: cinepaint 0.22.1-5
    libjpeg rebuild, added gcc 4.4 build patch

Added:
  cinepaint/trunk/cinepaint-0.22-gcc44.patch
Modified:
  cinepaint/trunk/PKGBUILD

----------------------------+
 PKGBUILD                   |   15 ++++++++-------
 cinepaint-0.22-gcc44.patch |   22 ++++++++++++++++++++++
 2 files changed, 30 insertions(+), 7 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-07-07 23:28:06 UTC (rev 45151)
+++ PKGBUILD	2009-07-08 01:28:16 UTC (rev 45152)
@@ -5,12 +5,12 @@
 pkgname=cinepaint
 _srcver=0.22-1
 pkgver=${_srcver/-/.}
-pkgrel=4
+pkgrel=5
 pkgdesc="sophisticated graphics manipulation programm supporting >8bit pictures"
 arch=(i686 x86_64)
 license=('LGPL' 'GPL' 'MIT-OSI')
 url=(http://cinepaint.org.sourceforge.net/)
-depends=('gtk2>=2.16.1' 'openexr>=1.6.1' 'lcms>=1.18' 'libxmu>=1.0.4' 'libxpm>=3.5.7' 'fltk>=1.1.9' 'desktop-file-utils' 'ftgl>=2.1.3rc5')
+depends=('gtk2>=2.16.1' 'openexr>=1.6.1' 'lcms>=1.18' 'libxmu>=1.0.4' 'libxpm>=3.5.7' 'fltk>=1.1.9' 'desktop-file-utils' 'ftgl>=2.1.3rc5' 'libjpeg>=7')
 makedepends=('python>=2.6' 'gutenprint>=5.2.3')
 optdepends=('python' 'gutenprint')
 options=('!libtool')
@@ -18,16 +18,17 @@
 source=(http://downloads.sourceforge.net/sourceforge/${pkgname}/${pkgname}-${_srcver}.tar.gz
         cinepaint-0.22.1-gcc43.patch
         cinepaint-0.22.1-multiple_parameters_named.patch
-        cinepaint-0.22.1-ambiguousawake.patch)
-md5sums=('f360587240db6b6d2f0bfd94c420c492'
-         'f05e17a16d0018e5301aff0e1fa597b0'
-         '0876510a5ce3d581ebdde7e18199c09f'
-         '4586aa153a0d3cac36120afc1f95a880')
+        cinepaint-0.22.1-ambiguousawake.patch
+	cinepaint-0.22-gcc44.patch)
+md5sums=('f360587240db6b6d2f0bfd94c420c492' 'f05e17a16d0018e5301aff0e1fa597b0'\
+         '0876510a5ce3d581ebdde7e18199c09f' '4586aa153a0d3cac36120afc1f95a880'\
+         '368e820c27f525e3569d43388f1c119a')
 
 build() {
   cd "${srcdir}/${pkgname}-${_srcver}"
  # FIXES
   patch -Np1 -i "${srcdir}/cinepaint-0.22.1-gcc43.patch" || return 1
+  patch -Np1 -i "${srcdir}/cinepaint-0.22-gcc44.patch" || return 1
   patch -Np1 -i "${srcdir}/cinepaint-0.22.1-multiple_parameters_named.patch" || return 1
   patch -Np0 -i "${srcdir}/cinepaint-0.22.1-ambiguousawake.patch" || return 1
   find plug-ins/print -type f -exec \

Added: cinepaint-0.22-gcc44.patch
===================================================================
--- cinepaint-0.22-gcc44.patch	                        (rev 0)
+++ cinepaint-0.22-gcc44.patch	2009-07-08 01:28:16 UTC (rev 45152)
@@ -0,0 +1,22 @@
+diff -Nru cinepaint-0.22-1.orig/plug-ins/collect/collect.cpp cinepaint-0.22-1/plug-ins/collect/collect.cpp
+--- cinepaint-0.22-1.orig/plug-ins/collect/collect.cpp	2007-03-30 11:11:33.000000000 +0200
++++ cinepaint-0.22-1/plug-ins/collect/collect.cpp	2009-05-21 14:54:45.000000000 +0200
+@@ -301,7 +301,7 @@
+             return -1;
+ 
+           // renaming the layer to the original filename
+-          gimp_layer_set_name (layers[0], strrchr(fc->value(1),'/')+1);
++          gimp_layer_set_name (layers[0], strrchr((char *)fc->value(1),'/')+1);
+           GPrecisionType image_base_prec = gimp_drawable_precision (layers[0]);
+           int base_gray = gimp_drawable_gray (layers[0]);
+ 
+@@ -341,7 +341,7 @@
+                     #endif
+                     gimp_image_add_layer (image_ID, layers[0], 0); DBG
+                     // set layer name to filename
+-                    gimp_layer_set_name(layers[0], strrchr(fc->value(i),'/')+1);
++                    gimp_layer_set_name(layers[0], strrchr((char *)fc->value(i),'/')+1);
+ 
+                     // searching max dimensions
+                     if (gimp_image_width(load_image_ID) > max_w)
+




More information about the arch-commits mailing list